function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import PropTypes from "prop-types";
import classNames from "classnames";

var HeaderDetails = function HeaderDetails(_ref) {
  var className = _ref.className,
      items = _ref.items,
      spaceBelow = _ref.spaceBelow,
      props = _objectWithoutProperties(_ref, ["className", "items", "spaceBelow"]);

  var itemList = items.map(function (item, ind) {
    if (item.isVisible !== undefined && !item.isVisible) {
      return null;
    }

    return [React.createElement("div", {
      key: "label-".concat(item.label),
      className: classNames({
        sidenav__details__title: true,
        muted: true,
        "flush--bottom": true,
        "push--top": ind > 0
      })
    }, React.createElement("h5", null, item.label)), React.createElement("span", {
      key: "value-".concat(item.label),
      className: "sidenav__details__item"
    }, item.value)];
  });
  return React.createElement("div", _extends({
    className: classNames({
      sidenav__details: true,
      "soft-double--bottom": spaceBelow
    }, className)
  }, props), itemList);
};

HeaderDetails.propTypes = {
  /** CSS class names. */
  className: PropTypes.string,

  /** List of details to display */
  items: PropTypes.arrayOf(PropTypes.shape({
    label: PropTypes.string.isRequired,
    value: PropTypes.oneOfType([PropTypes.string, PropTypes.number, PropTypes.node]).isRequired
  })).isRequired,

  /** Whether or not the details have extra space below */
  spaceBelow: PropTypes.bool
};
HeaderDetails.defaultProps = {
  spaceBelow: false
};
export default HeaderDetails;